Commit 39adb041 authored by Prashanth Dwarakanath's avatar Prashanth Dwarakanath
Browse files

1. correct handling of ps and tau variable in the exclude_variable check scripts.

2. remove ps from excl_cmip6.
3. correct mapfile paths in the three publication phase files.
4. correct the argument handling in the esgpublish wrapper script.
parent f6c4d329
......@@ -36,10 +36,8 @@ if [ $? -ne 0 ]; then
fi
grep -w $varname $excllist >/dev/null;
if [ $? -eq 0 ]; then
if [ "$varname" != "ps" ]; then
echo "Warning: a variable $varname you need to publish is listed in the excludes file; ref $ncfile";
echo "Warning: a variable $varname you need to publish is listed in the excludes file; ref $ncfile" >>$warnings;
fi
echo "Warning: a variable $varname you need to publish is listed in the excludes file; ref $ncfile";
echo "Warning: a variable $varname you need to publish is listed in the excludes file; ref $ncfile" >>$warnings;
fi
timefound=0;
bog=`for i in $blah; do if [ "$i" = "$varname" ]; then continue; fi; echo $i; done`
......@@ -55,11 +53,13 @@ if [ "$bog" != "" ]; then
fi
grep -w $ln $excllist >/dev/null;
if [ $? -ne 0 ]; then
#echo "contents of file in question"
#cat $tmpfiletwo
echo "line in question: $ln"
echo "Found variable $ln in file $ncfile";
echo "Found variable $ln in file $ncfile" >>$suspects;
if [ "$varname" != "ps" -a "$varname" != "tau" ]; then
#echo "contents of file in question"
#cat $tmpfiletwo
echo "line in question: $ln"
echo "Found variable $ln in file $ncfile";
echo "Found variable $ln in file $ncfile" >>$suspects;
fi
fi
done ;
......
......@@ -59,7 +59,7 @@ fi
while read filename; do
mapname=`basename ${filename}`;
logfile="${process_dir}/${phase}_publish1_01_${mapname}_${timestamp}.log";
args="--map ${mapname} --project ${experiment} --service fileservice --no-create-cim"
args="--map mapfiles/${mapname} --project ${experiment} --service fileservice --no-create-cim"
bash ${ESGF_PUBLISHING_ESGPUB_WRAPPER} ${phase} ${ESGF_VENV_DIR} ${ESGF_VENV_NAME} ${script_dir} "${args}" ${logfile}
if [ $? -ne 0 ]; then
echo "Error during publication. Aborting.";
......
......@@ -58,7 +58,7 @@ fi
while read filename; do
mapname=`basename ${filename}`;
logfile="${process_dir}/${phase}_publish2_01_${mapname}_${timestamp}.log";
args="--map ${mapname} --project ${experiment} --noscan --thredds --service fileservice --no-create-cim"
args="--map mapfiles/${mapname} --project ${experiment} --noscan --thredds --service fileservice --no-create-cim"
bash ${ESGF_PUBLISHING_ESGPUB_WRAPPER} ${phase} ${ESGF_VENV_DIR} ${ESGF_VENV_NAME} ${script_dir} "${args}" ${logfile}
if [ $? -ne 0 ]; then
echo "Error during publication. Aborting.";
......
......@@ -59,7 +59,7 @@ fi
while read filename; do
mapname=`basename ${filename}`;
logfile="${process_dir}/${phase}_publish3_01_${mapname}_${timestamp}.log";
args="--map ${mapname} --project ${experiment} --noscan --publish --service fileservice --no-create-cim"
args="--map mapfiles/${mapname} --project ${experiment} --noscan --publish --service fileservice --no-create-cim"
bash ${ESGF_PUBLISHING_ESGPUB_WRAPPER} ${phase} ${ESGF_VENV_DIR} ${ESGF_VENV_NAME} ${script_dir} "${args}" ${logfile}
if [ $? -ne 0 ]; then
echo "Error during publication. Aborting.";
......
......@@ -11,6 +11,6 @@ source ${ESGF_VENV_DIR}/bin/activate ${ESGF_VENV_NAME}
cd ${script_dir};
echo "PHASE${phase}: working in '`pwd`'";
esgpublish "$args" > ${result_log} 2>&1 || exit 1
esgpublish `echo "$args"` > ${result_log} 2>&1 || exit 1
conda deactivate
exit 0
wavelength
ap
ap_bnds
ps
a
a_bnds
alev1
......
......@@ -26,10 +26,8 @@ if [ $? -ne 0 ]; then
fi
grep -w $varname $excllist >/dev/null;
if [ $? -eq 0 ]; then
if [ "$varname" != "ps" ]; then
echo "Warning: a variable $varname you need to publish is listed in the excludes file; ref $ncfile";
echo "Warning: a variable $varname you need to publish is listed in the excludes file; ref $ncfile" >>$warnings;
fi
echo "Warning: a variable $varname you need to publish is listed in the excludes file; ref $ncfile";
echo "Warning: a variable $varname you need to publish is listed in the excludes file; ref $ncfile" >>$warnings;
fi
timefound=0
bog=`for i in $blah; do if [ "$i" = "$varname" ]; then continue; fi; echo $i; done`
......@@ -45,10 +43,12 @@ if [ "$bog" != "" ]; then
fi
grep -w $ln $excllist >/dev/null;
if [ $? -ne 0 ]; then
#echo "contents of file in question"
echo "line in question: $ln"
echo "Found variable $ln in file $ncfile";
echo "Found variable $ln in file $ncfile" >>$suspects;
if [ "$varname" != "ps" -a "$varname" != "tau" ]; then
#echo "contents of file in question"
echo "line in question: $ln"
echo "Found variable $ln in file $ncfile";
echo "Found variable $ln in file $ncfile" >>$suspects;
fi
fi
done ;
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment